/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_MATRIX_H_
#define MSP_GL_MATRIX_H_

#include "gl.h"

namespace Msp {
namespace GL {

enum MatrixMode
{
	MODELVIEW=GL_MODELVIEW,
	PROJECTION=GL_PROJECTION,
	TEXTURE=GL_TEXTURE
};

void matrix_mode(MatrixMode);
void load_identity();
void mult_matrix(const float *);
void mult_matrix(const double *);
void push_matrix();
void pop_matrix();

} // namespace GL
} // namespace Msp

#endif
