/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#include "misc.h"

namespace Msp {
namespace GL {

void enable(GLenum state)
{
	glEnable(state);
}

void disable(GLenum state)
{
	glDisable(state);
}

void set(GLenum state, bool value)
{
	if(value)
		enable(state);
	else
		disable(state);
}

} // namespace GL
} // namespace Msp
