/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_ILWRAP_H_
#define MSP_GL_ILWRAP_H_

#include "pixelformat.h"

namespace Msp {
namespace GL {

class Image
{
private:
	unsigned id;

public:
	Image();
	~Image();

	void load_file(const std::string &);
	void load_lump(const void *, unsigned);
	PixelFormat get_format() const;
	unsigned get_width() const;
	unsigned get_height() const;
	const void *get_data() const;
};

} // namespace GL
} // namespace Msp

#endif
